import request from '@/utils/request'

// 查询文档管理列表
export function listData(query) {
    return request({
        url: '/system/data/list',
        method: 'get',
        params: query
    })
}

// 查询文档管理详细
export function getData(id) {
    return request({
        url: '/system/data/' + id,
        method: 'get'
    })
}

// 新增文档管理
export function addData(data) {
    return request({
        url: '/system/data',
        method: 'post',
        data: data
    })
}

// 修改文档管理
export function updateData(data) {
    return request({
        url: '/system/data',
        method: 'put',
        data: data
    })
}

// 删除文档管理
export function delData(id) {
    return request({
        url: '/system/data/' + id,
        method: 'delete'
    })


}

// 删除文件
export function delFile(ids) {
    return request({
        url: '/system/data/' + ids,
        method: 'delete'
    })
}